For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all users
      • POSTCreate a new user
      • GETGet user by ID
      • PUTUpdate user (full)
      • DELDelete user
      • PATCHUpdate user (partial)
Calculator
LogoLogo
EndpointsUsers

Create a new user

POST
https://api.finput.com.au/api/v1/users
POST
/api/v1/users
$curl -X POST https://api.finput.com.au/api/v1/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "email",
> "password": "password",
> "first_name": "first_name",
> "last_name": "last_name"
>}'
1{
2 "id": 1,
3 "email": "email",
4 "first_name": "first_name",
5 "last_name": "last_name",
6 "organisation_id": 1,
7 "is_admin": true,
8 "is_staff": true,
9 "is_active": true,
10 "is_email_verified": true,
11 "is_superuser": true,
12 "created": "2024-01-15T09:30:00Z",
13 "groups": [
14 {
15 "name": "name",
16 "permissions": [
17 {}
18 ]
19 }
20 ]
21}
Creates a user account. Requires appropriate permissions.
Was this page helpful?
Previous

Get user by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
emailstringRequired
passwordstringRequired=8 characters
first_namestringRequired
last_namestringRequired
user_typeslist of stringsOptional
Group names to assign to the user
organisation_idintegerOptional
ID of the organisation to associate the user with

Response

User created
idinteger
emailstring
first_namestring
last_namestring
organisation_idinteger
is_adminbooleanDefaults to false
is_staffbooleanDefaults to false
is_activebooleanDefaults to false
is_email_verifiedbooleanDefaults to false
is_superuserbooleanDefaults to false
createddatetimeDefaults to 1970-01-01T00:00:00.000Z
groupslist of objects

Errors

400
Create User Request Bad Request Error